# A1-6

Die Ausgabe des `nm` Befehls für `quadrat.o` ist relativ kurz, da keine externen Funktionen o.ä. verwendet werden.

```
$ nm quadrat.o
0000000000000000 T quadrat
```

Es wird lediglich die Funktion `quadrat` angezeigt, die, wie man an dem `T` erkennen kann, bereits im Code dieser Datei implementiert ist

---

```
$ nm main.o
                 U _GLOBAL_OFFSET_TABLE_
0000000000000000 T main
                 U printf
                 U quadrat
```

Bei dieser Ausgabe lässt dich erkennen, dass nur die `main` Funktion innerhalb dieser Datei definiert sind. Die `printf` und `quadrat` Funktionen sind zwar deklariert aber noch nicht definiert, wie sich an dem `U` erkennen lässt.